Bug 1129501 - Part libraries for LibreCAD, 'Electronic5-LCAD.zip' and 'Architect3-LCAD.zip'
Summary: Part libraries for LibreCAD, 'Electronic5-LCAD.zip' and 'Architect3-LCAD.zip'
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: librecad
Version: 19
Hardware: noarch
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 00:59 UTC by a.galley
Modified: 2014-09-30 13:44 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-26 09:03:28 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 999267 None None None Never

Internal Trackers: 999267 1142009 1145504

Description a.galley 2014-08-13 00:59:33 UTC
We have donated some of our part libraries (DXF files
re-worked with your librecad-2.0.4 to ensure
compatibility) to the LibreCAD WIKI, currently on
this link:

http://wiki.librecad.org/index.php/Symbols

Else, you may prefer to package them yourself in
'librecad-parts', so I have attached them here
on bugzilla (one being a later version 5 in which
some errors have been corrected):

Electronic5-LCAD.zip
Architect3-LCAD.zip

both of which have already been attached
at bug '999267':
https://bugzilla.redhat.com/show_bug.cgi?id=999267

As the GPL states, parts are supplied without any
Warranty but with some hope that they may be useful.

If i remember correctly, the path could be something
like this:

/usr
   /share
      /librecad
         /library
            /architecture
               /Architect3-LCAD
            /electronics
               /Electronic5-LCAD
            /misc
            /templates

There's more information at 999267.
Regards.

Comment 1 a.galley 2014-09-09 02:35:23 UTC
The latest updates:

Electronic8-LCAD.zip
Architect8-LCAD.zip

have been uploaded at
External Bug ID: Red Hat Bugzilla 999267.

Another error has been corrected and
README.TXT files added.

Comment 2 Tom "spot" Callaway 2014-09-11 14:19:40 UTC
Thanks! I'm in the process of adding these files in. If possible, could you open new bug tickets to let us know if these files update?

Comment 3 Fedora Update System 2014-09-11 15:56:40 UTC
librecad-2.0.5-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/librecad-2.0.5-2.el7

Comment 4 Fedora Update System 2014-09-11 15:56:52 UTC
librecad-2.0.5-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/librecad-2.0.5-2.fc21

Comment 5 Fedora Update System 2014-09-11 15:57:01 UTC
librecad-2.0.5-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/librecad-2.0.5-2.fc20

Comment 6 Fedora Update System 2014-09-11 15:57:09 UTC
librecad-2.0.5-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/librecad-2.0.5-2.fc19

Comment 7 Fedora Update System 2014-09-11 22:12:16 UTC
Package librecad-2.0.5-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing librecad-2.0.5-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10703/librecad-2.0.5-2.fc21
then log in and leave karma (feedback).

Comment 8 a.galley 2014-09-12 02:41:17 UTC
(In reply to Tom "spot" Callaway from comment #2)
> Thanks! I'm in the process of adding these files in. If possible, could you
> open new bug tickets to let us know if these files update?

Wow! You don't hang about, do you? I've got some testing to do, then,
in about a week's time. Future updates and additions will go to
a new page:

http://wiki.librecad.org/index.php/Part_Libraries

... though you may like to keep this page 'open' so they can be uploaded
here also, since this is a secure 'https'.

Comment 9 a.galley 2014-09-23 08:47:51 UTC
(In reply to Fedora Update System from comment #3)
> librecad-2.0.5-2.el7 has been submitted as an update for Fedora EPEL 7.
> https://admin.fedoraproject.org/updates/librecad-2.0.5-2.el7

Fedora Update System:

"epel-testing" has been successful on 64-bit
CentOS-7 (el7), updating Part Libraries to include
the latest "Architect8-LCAD" and "Electronic8-LCAD".

External Bug ID: Red Hat Bugzilla 1145504

Comment 10 a.galley 2014-09-23 08:51:16 UTC
(In reply to Fedora Update System from comment #6)
> librecad-2.0.5-2.fc19 has been submitted as an update for Fedora 19.
> https://admin.fedoraproject.org/updates/librecad-2.0.5-2.fc19

Fedora Update System:

"updates-testing" has been successful on both 64-bit and
32-bit fc19, updating Part Libraries to include the latest
"Architect8-LCAD" and "Electronic8-LCAD".

External Bug ID: Red Hat Bugzilla 1142009

Comment 11 Fedora Update System 2014-09-26 09:03:28 UTC
librecad-2.0.5-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-09-26 09:06:44 UTC
librecad-2.0.5-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-09-27 09:48:36 UTC
librecad-2.0.5-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2014-09-27 18:45:20 UTC
librecad-2.0.5-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 a.galley 2014-09-28 04:40:44 UTC
(In reply to Fedora Update System from comment #12)
> librecad-2.0.5-2.fc20 has been pushed to the Fedora 20 stable repository. 
> If problems still persist, please make note of it in this bug report.

Fedora Update System:

"install" has been successful on both 64-bit and
32-bit fc20, including the latest Part Libraries,
"Architect8-LCAD" and "Electronic8-LCAD".

librecad-2.0.5 installed immidiately, then a few basic
functional tests were done with no problems.

One key was missing (32-bit only) but nothing critical
enough to block the install:

\/

warning: /var/cache/yum/i386/20/updates/packages/libdxfrw-0.5.11-1.fc20.i686.rpm: Header V3 RSA/SHA256 Signature, key ID 246110c1: NOKEY
Public key for libdxfrw-0.5.11-1.fc20.i686.rpm is not installed
(1/8): libdxfrw-0.5.11-1.fc20.i686.rpm                     | 218 kB   00:04     
Public key for muParser-2.2.3-2.fc20.i686.rpm is not installed51 kB   01:08 ETA 
(2/8): muParser-2.2.3-2.fc20.i686.rpm                      | 122 kB   00:02     

\/

Total                                           196 kB/s |  11 MB     00:59     
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-20-i386
Importing GPG key 0x246110C1:
 Userid     : "Fedora (20) <fedora@fedoraproject.org>"
 Fingerprint: c7c9 a9c8 9153 f201 83ce 7cba 2eb1 61fa 2461 10c1
 Package    : fedora-release-20-1.noarch (@koji-override-0/$releasever)
 From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-20-i386
Is this ok [y/N]: y

Comment 16 a.galley 2014-09-30 13:44:47 UTC
(In reply to Fedora Update System from comment #13)
> librecad-2.0.5-2.fc21 has been pushed to the Fedora 21 stable repository. 
> If problems still persist, please make note of it in this bug report.

Fedora Update System:

"install" has been successful on both 64-bit and
32-bit fc21_Alpha-1, including the latest Part Libraries,
"Architect8-LCAD" and "Electronic8-LCAD".

librecad-2.0.5 installed immidiately, then a few basic
functional tests were done with no problems.

Is librecad-2.0.5 available for Centos 6.4 or 6.5?
Will test if available.


Note You need to log in before you can comment on or make changes to this bug.